Bug 457561 - Review Request: pthsem - The GNU Portable Threads library extended with semaphore support
Review Request: pthsem - The GNU Portable Threads library extended with semap...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans Ulrich Niedermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-01 10:35 EDT by Andreas Thienemann
Modified: 2008-10-16 16:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-16 16:48:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rhbugs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andreas Thienemann 2008-08-01 10:35:00 EDT
Spec URL: http://helena.bawue.de/~ixs/pthsem/pthsem.spec
SRPM URL: http://helena.bawue.de/~ixs/pthsem/pthsem-2.0.7-1.src.rpm
Description:
Pth is a very portable POSIX/ANSI-C based library for Unix platforms
which provides non-preemptive priority-based scheduling for multiple
threads of execution ("multithreading") inside server applications.
All threads run in the same address space of the server application,
but each thread has it's own individual program-counter, run-time
stack, signal mask and errno variable.

pthsem is an extend version, with support for semaphores added. It can
be installed parallel to a normal pth. The header file is called pthsem.h, 
the configuration program pthsem-config and the autoconf macro
AC_CHECK_PTHSEM.
Comment 1 Hans Ulrich Niedermann 2008-09-07 10:14:22 EDT
OK source files match upstream:
  The URL: links to a different place with the same tarball as Source:
    4d4de9e6aa4b2bf6d64645353edc02d8f4f13d0c  pthsem_2.0.7.tar.gz (from Source:)
    4d4de9e6aa4b2bf6d64645353edc02d8f4f13d0c  pthsem_2.0.7.tar.gz (from SRPM)
    4d4de9e6aa4b2bf6d64645353edc02d8f4f13d0c  pthsem-2.0.7.tar.gz (from URL:)
  Files match, but the different locations are confusing.
FAIL %description talks of "GNU pthsem" which does not appear to exist.
OK package meets naming and versioning guidelines.
OK specfile is properly named, is cleanly written and uses macros consistently.
FAIL dist tag is present.
OK build root is correct.
OK license field matches the actual license.
OK license is open source-compatible.
   LGPLv2+ (to be exact: LGPL 2.1 or later)
OK license text included in package.
OK latest version is being packaged.
OK BuildRequires are proper.
OK compiler flags are appropriate.
OK %clean is present.
OK package builds in mock.
   http://koji.fedoraproject.org/koji/taskinfo?taskID=811801
OK package installs properly.
OK debuginfo package looks complete.
OK rpmlint is silent.
OK final provides and requires are sane:
  pthsem-2.0.7-1.i386.rpm provides
    libpthsem.so.20  
    pthsem = 2.0.7-1
  pthsem-debuginfo-2.0.7-1.i386.rpm provides
    libpthsem.so.20.0.27.debug  
    pthsem-debuginfo = 2.0.7-1
  pthsem-devel-2.0.7-1.i386.rpm provides
    pthsem-devel = 2.0.7-1
  pthsem-2.0.7-1.i386.rpm requires
    /sbin/ldconfig  
    /sbin/ldconfig  
    libc.so.6  
    libc.so.6(GLIBC_2.0)  
    libc.so.6(GLIBC_2.1)  
    libc.so.6(GLIBC_2.1.3)  
    libc.so.6(GLIBC_2.3)  
    libc.so.6(GLIBC_2.3.4)  
    libc.so.6(GLIBC_2.4)  
    libpthsem.so.20  
    rpmlib(CompressedFileNames) <= 3.0.4-1
    rpmlib(PayloadFilesHavePrefix) <= 4.0-1
    rtld(GNU_HASH)  
  pthsem-debuginfo-2.0.7-1.i386.rpm requires
    libpthsem.so.20  
    rpmlib(CompressedFileNames) <= 3.0.4-1
    rpmlib(PayloadFilesHavePrefix) <= 4.0-1
  pthsem-devel-2.0.7-1.i386.rpm requires
    /bin/sh  
    libpthsem.so.20  
    pthsem = 2.0.7-1
    rpmlib(CompressedFileNames) <= 3.0.4-1
    rpmlib(PayloadFilesHavePrefix) <= 4.0-1
OK %check is present and all tests pass:
   rpmbuild does not abort
OK shared libraries are present, ldconfig is run
OK owns the directories it creates.
OK doesn't own any directories it shouldn't.
OK no duplicates in %files.
OK file permissions are appropriate.
OK no scriptlets present.
OK code, not content.
OK documentation is small, so no -docs subpackage is necessary.
OK %docs are not necessary for the proper functioning of the package.
OK headers.
OK no pkgconfig files.
OK libtool .la droppings.
Comment 2 Hans Ulrich Niedermann 2008-09-07 10:26:23 EDT
APPROVED (if you fix those two things)
Comment 3 Andreas Thienemann 2008-09-07 10:27:44 EDT
New Package CVS Request
=======================
Package Name: pthsem
Short Description: The GNU Portable Threads library extended with semaphore support
Owners: ixs
Branches: devel, F-9
Comment 4 Kevin Fenzi 2008-09-08 11:22:24 EDT
cvs done.
Comment 5 Hans Ulrich Niedermann 2008-09-13 10:46:42 EDT
Reporter, please import the package into CVS and then close this bug. Thank you.

Note You need to log in before you can comment on or make changes to this bug.